Skip to main content
`Ctrl`+`K`

# scipy.special.sindg

scipy.special.sindg(x, out=None) = <ufunc 'sindg'>

  Sine of the angle x given in degrees.

  Parameters:
    x array_like

      Angle, given in degrees.

    out ndarray, optional

      Optional output array for the function results.

  Returns:
    scalar or ndarray

      Sine at the input.

  See also

  `cosdg`, `tandg`, `cotdg`

  Examples

      >>> import numpy as np
      >>> import scipy.special as sc

  It is more accurate than using sine directly.

      >>> x = 180 * np.arange(3)
      >>> sc.sindg(x)
      array([ 0., -0.,  0.])
      >>> np.sin(x * np.pi / 180)
      array([ 0.0000000e+00,  1.2246468e-16, -2.4492936e-16])